Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226039 - Merge Review: libraw1394
Summary: Merge Review: libraw1394
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:26 UTC by Nobody's working on this, feel free to take it
Modified: 2008-02-26 16:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-26 16:38:38 UTC
tcallawa: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:26:49 UTC
Fedora Merge Review: libraw1394

http://cvs.fedora.redhat.com/viewcvs/devel/libraw1394/
Initial Owner: jwilson@redhat.com

Comment 1 Pace Willisson 2007-02-03 21:34:56 UTC
macros in %changelog: change %dist to %%dist; %files to %%files

Everything else ok (source matches updstream; license ok)


Comment 2 Jarod Wilson 2007-02-04 15:17:05 UTC
Not quite everything else was okay, the buildroot wasn't correct. I've fixed that and the macros in the 
changelog though.

Comment 3 Patrice Dumas 2007-12-02 12:36:30 UTC
This package doesn't build for me. An example of an error:

raw1394-iso.c: In function 'queue_packet':
raw1394-iso.c:43: error: 'struct fw_cdev_iso_packet' has no member named
'payload_length'
raw1394-iso.c:44: error: 'struct fw_cdev_iso_packet' has no member named 'interrupt'
raw1394-iso.c:46: error: 'struct fw_cdev_iso_packet' has no member named 'skip'
raw1394-iso.c:47: error: 'struct fw_cdev_iso_packet' has no member named 'tag'
raw1394-iso.c:48: error: 'struct fw_cdev_iso_packet' has no member named 'sy'
raw1394-iso.c:49: error: 'struct fw_cdev_iso_packet' has no member named
'header_length'

Comment 4 Jarod Wilson 2007-12-03 05:51:28 UTC
The version in rawhide builds properly on F8, I just need to get around to pulling those same changes 
over.

Comment 5 Jarod Wilson 2008-02-25 20:59:54 UTC
All set.

Comment 6 Tom "spot" Callaway 2008-02-26 04:16:28 UTC
Reopening. No one actually did a proper review here.

Comment 7 Jarod Wilson 2008-02-26 06:11:10 UTC
Oops, mah bad.

Comment 8 Tom "spot" Callaway 2008-02-26 14:21:33 UTC
However, I can do a review quickly for you. :)

The only issues I see are: 
1. The License tag is incorrect, it should be LGPLv2+.
2. You're using a tab separator on line 11, and spaces everywhere else.

Since these items are pedantic, and easily corrected in CVS, this package is
approved. Please commit those changes. :)

Here's the full review notes:

Good:

- rpmlint checks return:
libraw1394.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 11)
libraw1394.src: W: invalid-license LGPL
libraw1394.x86_64: W: invalid-license LGPL
libraw1394-devel.x86_64: W: invalid-license LGPL
libraw1394-debuginfo.x86_64: W: invalid-license LGPL

Needs fixing in CVS, not a blocker for review.

- package meets naming guidelines
- package meets packaging guidelines (except for license tag)
- license (LGPLv2+) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r

Comment 9 Jarod Wilson 2008-02-26 14:39:46 UTC
Thanks much, committed to rawhide cvs a few minutes ago.

Comment 10 Tom "spot" Callaway 2008-02-26 16:38:38 UTC
Looks good! Closing this one out.


Note You need to log in before you can comment on or make changes to this bug.